ConnectionEvent (Java Platform SE 8 )
Keywords: javax.sql.ConnectionEvent class
Date: 2020-03-26

compact2, compact3
javax.sql

## Class ConnectionEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.sql.ConnectionEvent

- All Implemented Interfaces:
    Serializable

      public class ConnectionEvent
      extends EventObject

  An `Event` object that provides information about the source of a connection-related event. `ConnectionEvent` objects are generated when an application closes a pooled connection and when an error occurs. The `ConnectionEvent` object contains two kinds of information:

  - The pooled connection closed by the application
  - In the case of an error event, the `SQLException` about to be thrown to the application
  Since:
    1.4
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionEvent(PooledConnection con)` Constructs a `ConnectionEvent` object initialized with the given `PooledConnection` object.
    `ConnectionEvent(PooledConnection con, SQLException ex)` Constructs a `ConnectionEvent` object initialized with the given `PooledConnection` object and `SQLException` object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SQLException` | `getSQLException()` Retrieves the `SQLException` for this `ConnectionEvent` object.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionEvent

          public ConnectionEvent(PooledConnection con)

      Constructs a `ConnectionEvent` object initialized with the given `PooledConnection` object. `SQLException` defaults to `null`.

      Parameters:
        `con` - the pooled connection that is the source of the event
      Throws:
        `IllegalArgumentException` - if `con` is null.

    - #### ConnectionEvent

          public ConnectionEvent(PooledConnection con,
                                 SQLException ex)

      Constructs a `ConnectionEvent` object initialized with the given `PooledConnection` object and `SQLException` object.

      Parameters:
        `con` - the pooled connection that is the source of the event
        `ex` - the SQLException about to be thrown to the application
      Throws:
        `IllegalArgumentException` - if `con` is null.

  - ### Method Detail

    - #### getSQLException

          public SQLException getSQLException()

      Retrieves the `SQLException` for this `ConnectionEvent` object. May be `null`.

      Returns:
        the SQLException about to be thrown or `null`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2020, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.